﻿--费用相关的价格模型映射预置


--收货通知单映射字段

IF NOT EXISTS (SELECT 1 FROM T_SBS_BILLFIELDMAP WHERE FID = 1919015277073393664)
INSERT INTO T_SBS_BILLFIELDMAP(FID,FTARGETOBJ,FMODIFYDATE,FSOURCEBILL,FMODIFIERID,FCREATEDATE,FBIZAPPID,FISENABLE,FCREATERID,FNUMBER,FISSYSINIT,FNAME) VALUES (1919015277073393664,'msbd_pricetax_expenses',{ts'2018-08-08  00:00:00'},'pm_receiptnotice',1,{ts'2018-08-08  00:00:00'},'1UYTX8AD4TSG','1',1,'price_model_pm_receiptnotice','1','价格模型_收货通知单'); 


IF NOT EXISTS (SELECT 1 FROM T_SBS_BILLFIELDMAP_L WHERE FPKID = '4/PTRHBU+FYX')
INSERT INTO T_SBS_BILLFIELDMAP_L(FID,FPKID,FLOCALEID,FNAME) VALUES (1919015277073393664,'4/PTRHBU+FYX','zh_CN','价格模型_收货通知单'); 
IF NOT EXISTS (SELECT 1 FROM T_SBS_BILLFIELDMAP_L WHERE FPKID = '4/PTRHBU+FYY')
INSERT INTO T_SBS_BILLFIELDMAP_L(FID,FPKID,FLOCALEID,FNAME) VALUES (1919015277073393664,'4/PTRHBU+FYY','zh_TW','價格模型_收貨通知單'); 


IF NOT EXISTS (SELECT 1 FROM T_SBS_BILLFIELDMAP_E WHERE FENTRYID = 1919015277073269761 OR (FID = 1919015277073393664 AND FTARGETOBJCOL = 'currency'))
INSERT INTO T_SBS_BILLFIELDMAP_E(FID,FTARGETOBJCOL,FFORMULADESC,FTARGETOBJCOLNO,FFORMULA_TAG,FSOURCEBILLCOLNO,FSELECTVALUE,FENTRYID,FSEQ,FSOURCEBILLCOL,FFORMULA) VALUES (1919015277073393664,'currency',' ','币别',' ','结算币别','0',1919015277073269761,2,'settlecurrency',' '); 
IF NOT EXISTS (SELECT 1 FROM T_SBS_BILLFIELDMAP_E WHERE FENTRYID = 1919015277073269760 OR (FID = 1919015277073393664 AND FTARGETOBJCOL = 'bizorg'))
INSERT INTO T_SBS_BILLFIELDMAP_E(FID,FTARGETOBJCOL,FFORMULADESC,FTARGETOBJCOLNO,FFORMULA_TAG,FSOURCEBILLCOLNO,FSELECTVALUE,FENTRYID,FSEQ,FSOURCEBILLCOL,FFORMULA) VALUES (1919015277073393664,'bizorg',' ','业务组织',' ','采购组织','0',1919015277073269760,1,'org',' '); 
IF NOT EXISTS (SELECT 1 FROM T_SBS_BILLFIELDMAP_E WHERE FENTRYID = 1919015277073269762 OR (FID = 1919015277073393664 AND FTARGETOBJCOL = 'expensesupplier'))
INSERT INTO T_SBS_BILLFIELDMAP_E(FID,FTARGETOBJCOL,FFORMULADESC,FTARGETOBJCOLNO,FFORMULA_TAG,FSOURCEBILLCOLNO,FSELECTVALUE,FENTRYID,FSEQ,FSOURCEBILLCOL,FFORMULA) VALUES (1919015277073393664,'expensesupplier',' ','费用供应商',' ','结算供应商','0',1919015277073269762,3,'invoicesupplier',' '); 
IF NOT EXISTS (SELECT 1 FROM T_SBS_BILLFIELDMAP_E WHERE FENTRYID = 1919015277073269763 OR (FID = 1919015277073393664 AND FTARGETOBJCOL = 'bizbillno'))
INSERT INTO T_SBS_BILLFIELDMAP_E(FID,FTARGETOBJCOL,FFORMULADESC,FTARGETOBJCOLNO,FFORMULA_TAG,FSOURCEBILLCOLNO,FSELECTVALUE,FENTRYID,FSEQ,FSOURCEBILLCOL,FFORMULA) VALUES (1919015277073393664,'bizbillno',' ','业务单据编号',' ','单据编号','0',1919015277073269763,4,'billno',' '); 
IF NOT EXISTS (SELECT 1 FROM T_SBS_BILLFIELDMAP_E WHERE FENTRYID = 1919015277073269764 OR (FID = 1919015277073393664 AND FTARGETOBJCOL = 'billstatus'))
INSERT INTO T_SBS_BILLFIELDMAP_E(FID,FTARGETOBJCOL,FFORMULADESC,FTARGETOBJCOLNO,FFORMULA_TAG,FSOURCEBILLCOLNO,FSELECTVALUE,FENTRYID,FSEQ,FSOURCEBILLCOL,FFORMULA) VALUES (1919015277073393664,'billstatus',' ','单据状态',' ','单据状态','0',1919015277073269764,5,'billstatus',' '); 
IF NOT EXISTS (SELECT 1 FROM T_SBS_BILLFIELDMAP_E WHERE FENTRYID = 1919015277073269765 OR (FID = 1919015277073393664 AND FTARGETOBJCOL = 'material'))
INSERT INTO T_SBS_BILLFIELDMAP_E(FID,FTARGETOBJCOL,FFORMULADESC,FTARGETOBJCOLNO,FFORMULA_TAG,FSOURCEBILLCOLNO,FSELECTVALUE,FENTRYID,FSEQ,FSOURCEBILLCOL,FFORMULA) VALUES (1919015277073393664,'material',' ','物料',' ','物料明细.物料编码.物料编码','0',1919015277073269765,6,'billentry.material.masterid',' '); 
IF NOT EXISTS (SELECT 1 FROM T_SBS_BILLFIELDMAP_E WHERE FENTRYID = 1919015277073269766 OR (FID = 1919015277073393664 AND FTARGETOBJCOL = 'qty'))
INSERT INTO T_SBS_BILLFIELDMAP_E(FID,FTARGETOBJCOL,FFORMULADESC,FTARGETOBJCOLNO,FFORMULA_TAG,FSOURCEBILLCOLNO,FSELECTVALUE,FENTRYID,FSEQ,FSOURCEBILLCOL,FFORMULA) VALUES (1919015277073393664,'qty',' ','数量',' ','物料明细.数量','0',1919015277073269766,7,'billentry.qty',' '); 
IF NOT EXISTS (SELECT 1 FROM T_SBS_BILLFIELDMAP_E WHERE FENTRYID = 1919015277073269767 OR (FID = 1919015277073393664 AND FTARGETOBJCOL = 'unit'))
INSERT INTO T_SBS_BILLFIELDMAP_E(FID,FTARGETOBJCOL,FFORMULADESC,FTARGETOBJCOLNO,FFORMULA_TAG,FSOURCEBILLCOLNO,FSELECTVALUE,FENTRYID,FSEQ,FSOURCEBILLCOL,FFORMULA) VALUES (1919015277073393664,'unit',' ','计量单位',' ','物料明细.计量单位','0',1919015277073269767,8,'billentry.unit',' '); 
IF NOT EXISTS (SELECT 1 FROM T_SBS_BILLFIELDMAP_E WHERE FENTRYID = 1919015277073269768 OR (FID = 1919015277073393664 AND FTARGETOBJCOL = 'amountandtax'))
INSERT INTO T_SBS_BILLFIELDMAP_E(FID,FTARGETOBJCOL,FFORMULADESC,FTARGETOBJCOLNO,FFORMULA_TAG,FSOURCEBILLCOLNO,FSELECTVALUE,FENTRYID,FSEQ,FSOURCEBILLCOL,FFORMULA) VALUES (1919015277073393664,'amountandtax',' ','价税合计',' ','物料明细.价税合计','0',1919015277073269768,9,'billentry.amountandtax',' '); 
IF NOT EXISTS (SELECT 1 FROM T_SBS_BILLFIELDMAP_E WHERE FENTRYID = 1919015277073269769 OR (FID = 1919015277073393664 AND FTARGETOBJCOL = 'settleorg'))
INSERT INTO T_SBS_BILLFIELDMAP_E(FID,FTARGETOBJCOL,FFORMULADESC,FTARGETOBJCOLNO,FFORMULA_TAG,FSOURCEBILLCOLNO,FSELECTVALUE,FENTRYID,FSEQ,FSOURCEBILLCOL,FFORMULA) VALUES (1919015277073393664,'settleorg',' ','结算组织',' ','物料明细.结算组织','0',1919015277073269769,10,'billentry.entrysettleorg',' '); 
IF NOT EXISTS (SELECT 1 FROM T_SBS_BILLFIELDMAP_E WHERE FENTRYID = 1919015277073269770 OR (FID = 1919015277073393664 AND FTARGETOBJCOL = 'billentry'))
INSERT INTO T_SBS_BILLFIELDMAP_E(FID,FTARGETOBJCOL,FFORMULADESC,FTARGETOBJCOLNO,FFORMULA_TAG,FSOURCEBILLCOLNO,FSELECTVALUE,FENTRYID,FSEQ,FSOURCEBILLCOL,FFORMULA) VALUES (1919015277073393664,'billentry',' ','业务单据分录',' ','物料明细','0',1919015277073269770,11,'billentry',' '); 


--采购订单增加映射字段

IF NOT EXISTS (SELECT 1 FROM T_SBS_BILLFIELDMAP_E WHERE FENTRYID = 1918373439249557504 OR (FID = 1802973749008416768 AND FTARGETOBJCOL = 'bizbillno'))
INSERT INTO T_SBS_BILLFIELDMAP_E(FID,FTARGETOBJCOL,FFORMULADESC,FTARGETOBJCOLNO,FFORMULA_TAG,FSOURCEBILLCOLNO,FSELECTVALUE,FENTRYID,FSEQ,FSOURCEBILLCOL,FFORMULA) VALUES (1802973749008416768,'bizbillno',' ','业务单据编号',' ','单据编号','0',1918373439249557504,20,'billno',' '); 
IF NOT EXISTS (SELECT 1 FROM T_SBS_BILLFIELDMAP_E WHERE FENTRYID = 1918373439249557505 OR (FID = 1802973749008416768 AND FTARGETOBJCOL = 'expensesupplier'))
INSERT INTO T_SBS_BILLFIELDMAP_E(FID,FTARGETOBJCOL,FFORMULADESC,FTARGETOBJCOLNO,FFORMULA_TAG,FSOURCEBILLCOLNO,FSELECTVALUE,FENTRYID,FSEQ,FSOURCEBILLCOL,FFORMULA) VALUES (1802973749008416768,'expensesupplier',' ','费用供应商',' ','结算供应商','0',1918373439249557505,21,'invoicesupplier',' '); 
IF NOT EXISTS (SELECT 1 FROM T_SBS_BILLFIELDMAP_E WHERE FENTRYID = 1918373439249557506 OR (FID = 1802973749008416768 AND FTARGETOBJCOL = 'amountandtax'))
INSERT INTO T_SBS_BILLFIELDMAP_E(FID,FTARGETOBJCOL,FFORMULADESC,FTARGETOBJCOLNO,FFORMULA_TAG,FSOURCEBILLCOLNO,FSELECTVALUE,FENTRYID,FSEQ,FSOURCEBILLCOL,FFORMULA) VALUES (1802973749008416768,'amountandtax',' ','价税合计',' ','物料明细.价税合计','0',1918373439249557506,22,'billentry.amountandtax',' '); 
IF NOT EXISTS (SELECT 1 FROM T_SBS_BILLFIELDMAP_E WHERE FENTRYID = 1918373439249557507 OR (FID = 1802973749008416768 AND FTARGETOBJCOL = 'settleorg'))
INSERT INTO T_SBS_BILLFIELDMAP_E(FID,FTARGETOBJCOL,FFORMULADESC,FTARGETOBJCOLNO,FFORMULA_TAG,FSOURCEBILLCOLNO,FSELECTVALUE,FENTRYID,FSEQ,FSOURCEBILLCOL,FFORMULA) VALUES (1802973749008416768,'settleorg',' ','结算组织',' ','物料明细.结算组织','0',1918373439249557507,23,'billentry.entrysettleorg',' '); 
IF NOT EXISTS (SELECT 1 FROM T_SBS_BILLFIELDMAP_E WHERE FENTRYID = 1918373439249557508 OR (FID = 1802973749008416768 AND FTARGETOBJCOL = 'billstatus'))
INSERT INTO T_SBS_BILLFIELDMAP_E(FID,FTARGETOBJCOL,FFORMULADESC,FTARGETOBJCOLNO,FFORMULA_TAG,FSOURCEBILLCOLNO,FSELECTVALUE,FENTRYID,FSEQ,FSOURCEBILLCOL,FFORMULA) VALUES (1802973749008416768,'billstatus',' ','单据状态',' ','单据状态','0',1918373439249557508,24,'billstatus',' '); 
IF NOT EXISTS (SELECT 1 FROM T_SBS_BILLFIELDMAP_E WHERE FENTRYID = 1918386819095865344 OR (FID = 1802973749008416768 AND FTARGETOBJCOL = 'billentry'))
INSERT INTO T_SBS_BILLFIELDMAP_E(FID,FTARGETOBJCOL,FFORMULADESC,FTARGETOBJCOLNO,FFORMULA_TAG,FSOURCEBILLCOLNO,FSELECTVALUE,FENTRYID,FSEQ,FSOURCEBILLCOL,FFORMULA) VALUES (1802973749008416768,'billentry',' ','业务单据分录',' ','物料明细','0',1918386819095865344,25,'billentry',' '); 
